com.threerings.whirled.client

## Class SceneController

- java.lang.Object
- - com.samskivert.swing.Controller
  - - com.threerings.crowd.client.PlaceController
    - - com.threerings.whirled.client.SceneController

All Implemented Interfaces:
  ActionListener, EventListener

Direct Known Subclasses:
  SpotSceneController

    public abstract class SceneController
    extends com.threerings.crowd.client.PlaceController

The base scene controller class. It is expected that users of the Whirled services will extend this controller class when creating specialized controllers for their scenes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.client.PlaceController

`com.threerings.crowd.client.PlaceController.DelegateOp`

### Field Summary

### Fields inherited from class com.samskivert.swing.Controller

`DISPATCHER`

### Constructor Summary

Constructors
Constructor and Description
`SceneController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `didLeavePlace(com.threerings.crowd.data.PlaceObject plobj)`
`void` `init(com.threerings.crowd.util.CrowdContext ctx, com.threerings.crowd.data.PlaceConfig config)`
`void` `willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)`

### Methods inherited from class com.threerings.crowd.client.PlaceController

`getPlaceConfig, getPlaceView, handleAction, mayLeavePlace`

### Methods inherited from class com.samskivert.swing.Controller

`actionPerformed, configureAction, createActionButton, handleAction, handleAction, handleAction, postAction, postAction, postAction, setControlledPanel, wasAdded, wasRemoved`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SceneController

    public SceneController()

### Method Detail

#### init

    public void init(com.threerings.crowd.util.CrowdContext ctx,
                     com.threerings.crowd.data.PlaceConfig config)

Overrides:
  `init` in class `com.threerings.crowd.client.PlaceController`

#### willEnterPlace

    public void willEnterPlace(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `willEnterPlace` in class `com.threerings.crowd.client.PlaceController`

#### didLeavePlace

    public void didLeavePlace(com.threerings.crowd.data.PlaceObject plobj)

Overrides:
  `didLeavePlace` in class `com.threerings.crowd.client.PlaceController`